DB_ENV->rep_get_priority()
Prev | Chapter 10. Replication Methods | Next

## DB_ENV->rep_get_priority()

    #include <db.h>

    int
    DB_ENV->rep_get_priority(DB_ENV *env, u_int32_t *priorityp);

The `DB_ENV->rep_get_priority()` method returns the database environment priority as configured using the DB_ENV->rep_set_priority() method.

The `DB_ENV->rep_get_priority()` method may be called at any time during the life of the application.

The `DB_ENV->rep_get_priority()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### priorityp

The `DB_ENV->rep_get_priority()` method returns the database environment priority in priorityp.

### Class

DB_ENV

### See Also

Replication and Related Methods, DB_ENV->rep_set_priority()

Prev | Up | Next
DB_ENV->rep_get_nsites() | Home | DB_ENV->rep_get_request()